SOCKATMARK(3)

NAME
sockatmark - determine whether a socket is at the out-of-band mark

LIBRARY
libc

SYNOPSIS
#include <sys/socket.h>
int
sockatmark(int s);

DESCRIPTION
The sockatmark function determines whether the socket referenced by the file descriptor s is at the out-of-band mark.

RETURN VALUES
If successful, the sockatmark function returns 1 to indicate that the socket is at an out-of-band mark; 0 is returned if there is no out-of-band mark or the mark is preceded by in-band data. Otherwise, -1 is returned and errno is set to indicate the error.

ERRORS
The sockatmark function will fail if:

[EBADF]
    The argument s is not a valid file descriptor.

[ENOTTY]
    The file descriptor s does not refer to a socket.

SEE ALSO
ioctl(2), recv(2), socket(2) An Introductory 4.4BSD Interprocess Communication Tutorial, Stuart Sechrest. (see /usr/share/doc/reference/ref3/sockets) Advanced 4.4BSD IPC Tutorial, Samuel J. Leffler, Robert S. Fabry, William N. Joy, Phil Lapsley, Steve Miller, Chris Torek. (see /usr/share/doc/reference/ref3/sockets-advanced)

STANDARDS
The sockatmark function conforms to p1003.1-2001.

HISTORY
The sockatmark function appeared in p1003.1g-2000 as a replacement for the SIOCATMARK ioctl(2) interface.